Skip to main content
PUT
/
identity-providers
/
{idp_id}
/
provisioning
/
update-attributes
Refresh Provisioning Configuration attribute mapping
curl --request PUT \
  --url https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/update-attributes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/update-attributes"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning/update-attributes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "identity_provider_id": "con_2CZPv6IY0gWzDaQJ", "identity_provider_name": "EC-org-gaZPTTOS42pReSzs-id-ready2", "strategy": "okta", "method": "scim", "attributes": [ { "provisioning_field": "userName", "user_attribute": "preferred_username", "description": "Preferred Username", "label": "Preferred username", "is_required": true, "is_extra": false, "is_missing": false }, { "provisioning_field": "active", "user_attribute": "blocked", "is_required": true, "is_extra": false, "is_missing": false } ], "updated_on": "2025-05-15T23:32:52.351Z", "created_at": "2025-05-15T23:32:52.351Z", "user_id_attribute": "externalId" }

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

idp_id
string
required
read-only

Identity provider identifier.

Pattern: ^con_[A-Za-z0-9]{16}$

Body

application/json

The body is of type object.

Response

Provisioning config successfully retrieved.

identity_provider_id
string
required
read-only

Identity provider identifier.

Pattern: ^con_[A-Za-z0-9]{16}$
identity_provider_name
string
required
read-only

The name of the identity provider

Required string length: 1 - 128
strategy
enum<string>
required

The type of the identity provider

Available options:
adfs,
google-apps,
oidc,
okta,
pingfederate,
samlp,
waad
method
enum<string>
required

The type of an identity provider's provisioning method

Available options:
none,
scim
attributes
object[]
required
user_id_attribute
string
required

The ID of the user

created_at
string<date-time>
required
updated_on
string<date-time>
required